### Method

# Vips Image jpegsave_target

#### Declaration [src]

    int
    vips_jpegsave_target (
      VipsImage* in,
      VipsTarget* target,
      ...
    )

#### Description [src]

As `vips_jpegsave()`, but save to a target.

Optional arguments

- `Q`: `gint`, quality factor
- `optimize_coding`: `gboolean`, compute optimal Huffman coding tables
- `interlace`: `gboolean`, write an interlaced (progressive) jpeg
- `subsample_mode`: `VipsForeignSubsample`, chroma subsampling mode
- `trellis_quant`: `gboolean`, apply trellis quantisation to each 8x8 block
- `overshoot_deringing`: `gboolean`, overshoot samples with extreme values
- `optimize_scans`: `gboolean`, split DCT coefficients into separate scans
- `quant_table`: `gint`, quantization table index
- `restart_interval`: `gint`, restart interval in mcu

See also

`vips_jpegsave()`, `vips_image_write_to_target()`.

This method is not directly available to language bindings.

#### Parameters

`target`

  Type: `VipsTarget`

  Save image to this target.

  The data is owned by the caller of the method.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.